module CrowdFund
  module Fundable
    def add_funds(amount=25)
      self.current_funding_amount += amount
      self.current_funding_amount = self.current_funding_amount.to_i   
      puts "Project #{self.name} got more funds!"
    end

    def remove_funds(amount=15)
      self.current_funding_amount -= amount
      puts "Project #{self.name} lost some funds!"    
    end  

    def fully_funded?
      self.total_funds >= self.target_funding_amount
    end  
  end
end