require_relative 'project'

module CrowdFund
  class MatchedFundsProject < Project
    def half_funded?
      (@target_funding_amount - total_funds) <= total_funds
    end

    def add_funds(amount=25)
      amount *= 2 if half_funded?
      super(amount)
    end
  end
end