require_relative 'project'
require_relative 'die'
require_relative 'pledge_pool'

module CrowdFund
  module FundingRound
    def self.randomize_funds (project, amount)
        die = Die.new()
          if die.roll % 2 == 0 || die.roll % 3 == 0
            project.add_funds(amount)
          else 
            project.remove_funds(amount)
          end 
    end
    def self.random_pledge(project)
      pledge = PledgePool::PLEDGES.sample
      project.pledges[pledge.name] += pledge.amount
      puts "Project #{project.name} received a #{pledge.name} pledge worth $#{pledge.amount}."
      puts "Project #{project.name}'s pledges: #{project.pledges}"
    end
  end
end